Գրանցումներ ուղղորդմամբ

GET https://tistos.com/api/referrals-users/
curl --request GET \
--url 'https://tistos.com/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
Պարամետրեր Մանրամասներ Նկարագրություն
referred_by_has_converted ընտրովի Ամբողջ թիվ Թույլատրված արժեքներ: 0, 1
datetime_field ընտրովի Տող Թույլատրված արժեքներ: datetime
datetime_start ընտրովի Տող Ֆիլտրել արդյունքները այս ամսաթվից և ժամից սկսած։ Ձևաչափ՝ Y-m-d H:i:s։
datetime_end ընտրովի Տող Ֆիլտրել արդյունքները մինչև այս ամսաթիվն ու ժամը։ Ձևաչափ՝ Y-m-d H:i:s։
order_by ընտրովի Տող Որ ոլորտում պատվիրել արդյունքները: Թույլատրված արժեքները՝ datetime, referred_by_has_converted.
order_type ընտրովի Տող Արդյունքների դասավորությունը: Թույլատրված արժեքները են: ASC աճող դասավորության համար, և DESC նվազող դասավորության համար:
page ընտրովի Ամբողջ թիվ Էջի համար, որի արդյունքները ցանկանում եք: Դեֆոլտ է 1.
results_per_page ընտրովի Ամբողջ թիվ Քանի արդյունք եք ցանկանում յուրաքանչյուր էջում։ Թույլատրված արժեքները՝ 10, 25, 50, 100, 250, 500, 1000։ Դեֆոլտը՝ 25։
{
    "data": [
        {
            "referral_code": "ref_a1b2c3",
            "status": "converted",
            "is_converted": true,
            "payment_types": [
                "one_time",
                "recurring"
            ],
            "commission_statuses": [
                "pending",
                "approved"
            ],
            "total_affiliate_commissions": 2,
            "total_affiliate_commissions_amount": 12.5,
            "pending_affiliate_commissions": 1,
            "approved_affiliate_commissions": 1,
            "withdrawn_affiliate_commissions": 0,
            "latest_affiliate_commission_datetime": "2026-10-11 09:35:53",
            "currency": "USD",
            "datetime": "2026-10-11 09:35:53"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/referrals-users?page=1",
        "last": "https://tistos.com/api/referrals-users?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/referrals-users?page=1"
    }
}